<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('route_articles', function (Blueprint $table) {
            $table->enum('publish_status', ['unpublished', 'publishing', 'published', 'error'])
                ->default('unpublished')
                ->after('approval_status');
        });

        Schema::table('articles', function (Blueprint $table) {
            $table->dropColumn('publish_status');
        });
    }

    public function down(): void
    {
        Schema::table('articles', function (Blueprint $table) {
            $table->enum('publish_status', ['unpublished', 'publishing', 'published', 'error'])
                ->default('unpublished');
        });

        Schema::table('route_articles', function (Blueprint $table) {
            $table->dropColumn('publish_status');
        });
    }
};
